GET api/Loadunload/GetList?page={page}&pagesize={pagesize}&deptId={deptId}&key={key}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| page | integer |
Required |
|
| pagesize | integer |
Required |
|
| deptId | integer |
Default value is 0 |
|
| key | string |
Default value is |
Body Parameters
None.
Response Information
Resource Description
ServerResponseOfListOfbase_loadunload| Name | Description | Type | Additional information |
|---|---|---|---|
| Entity | Collection of base_loadunload |
None. |
|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"Entity": [
{
"id": 1,
"dept_id": 2,
"name": "sample string 3",
"contactman": "sample string 4",
"carno": 1,
"phoneno": 1,
"addtime": "2026-03-26T14:28:25.2849777+08:00"
},
{
"id": 1,
"dept_id": 2,
"name": "sample string 3",
"contactman": "sample string 4",
"carno": 1,
"phoneno": 1,
"addtime": "2026-03-26T14:28:25.2849777+08:00"
}
],
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponseOfArrayOfbase_loadunload_PZC5QaEm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField><_x003C_Entity_x003E_k__BackingField xmlns:d2p1="http://schemas.datacontract.org/2004/07/Easyman.Model"><d2p1:base_loadunload><d2p1:addtime>2026-03-26T14:28:25.2849777+08:00</d2p1:addtime><d2p1:carno>1</d2p1:carno><d2p1:contactman>sample string 4</d2p1:contactman><d2p1:dept_id>2</d2p1:dept_id><d2p1:id>1</d2p1:id><d2p1:name>sample string 3</d2p1:name><d2p1:phoneno>1</d2p1:phoneno></d2p1:base_loadunload><d2p1:base_loadunload><d2p1:addtime>2026-03-26T14:28:25.2849777+08:00</d2p1:addtime><d2p1:carno>1</d2p1:carno><d2p1:contactman>sample string 4</d2p1:contactman><d2p1:dept_id>2</d2p1:dept_id><d2p1:id>1</d2p1:id><d2p1:name>sample string 3</d2p1:name><d2p1:phoneno>1</d2p1:phoneno></d2p1:base_loadunload></_x003C_Entity_x003E_k__BackingField></ServerResponseOfArrayOfbase_loadunload_PZC5QaEm>